package wtf.opal.event.impl.game.player.interaction.block;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.block.BlockState;

@Environment(EnvType.CLIENT)
public final class BlockBreakHardnessEvent {
   private final BlockState blockState;
   private float hardness;

   public BlockBreakHardnessEvent(BlockState blockState, float hardness) {
      this.blockState = blockState;
      this.hardness = hardness;
   }

   public BlockState getBlockState() {
      return this.blockState;
   }

   public float getHardness() {
      return this.hardness;
   }

   public void setHardness(float hardness) {
      this.hardness = hardness;
   }
}
